hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Joseph Evans (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HADOOP-7598) smart-apply-patch.sh does not work on some older versions of BASH
Date Wed, 31 Aug 2011 21:54:10 GMT
smart-apply-patch.sh does not work on some older versions of BASH
-----------------------------------------------------------------

                 Key: HADOOP-7598
                 URL: https://issues.apache.org/jira/browse/HADOOP-7598
             Project: Hadoop Common
          Issue Type: Bug
          Components: build
    Affects Versions: 0.23.0, 0.24.0
            Reporter: Robert Joseph Evans
            Assignee: Robert Joseph Evans
             Fix For: 0.23.0, 0.24.0


I don't really know why, but on some versions of bash (including the one I use, and is on
the build servers)
bash --version
GNU bash, version 3.2.25(1)-release (x86_64-redhat-linux-gnu)
Copyright (C) 2005 Free Software Foundation, Inc.

The line
{code}
elif [[ "$PREFIX_DIRS" =~ ^(hadoop-common-project|hadoop-hdfs-project|hadoop-mapreduce-project)$
]]; then
{code}

evaluates to false but if the test is moved out of the elif statement then it works correctly.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message